* {
  box-sizing: border-box;
}

body {
  margin: 0;
  padding: 0;
  font-family: 'Roboto', sans-serif;
  overflow-x: hidden;
  background: linear-gradient(90deg, rgba(255, 122, 0, 0.31) -100.52%, rgba(196, 196, 196, 0) 104.8%) fixed;
}

input {
  outline: none;
  border: none;
}

button {
  border: none;
  outline: none;
  cursor: pointer;
  border-radius: 50px;
  color: #FFFFFF;
  font-size: 18px;
  font-weight: bold;
}

p {
  margin-top: 0;
  font-style: italic;
  margin-top: 5px;
  margin-bottom: 0;
}

form {
  width: 400px;
  padding: 50px;
  border: none;
  margin: auto;
  margin-top: 100px;
  border-radius: 35px;
  background: #FFFFFF;
  box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
}

.alert{
  text-align: center;
}

.alert-danger{
  color: red;
}

.alert-success{
  color: #3acf3a;
}

/*---------------------Header---------------------*/
header {
  max-height: 70px;
  width: 100%;
  background: linear-gradient(90.32deg, #FF6B00 50%, rgba(255, 46, 0, 0) 120.54%);
}

.header-content {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 93%;
  max-height: 70px;
  margin: 0 auto;
}

.logo {
  display: flex;
  align-items: center;
}

.logo-btn {
  max-height: 60px;
}

.logo-img {
  width: 60px;
  height: 60px;
  border-radius: 50px;
}

.logo-text {
  margin-left: 21px;
  font-size: 36px;
  font-weight: bold;
  color: #FFFFFF;
}


/*Header-nav*/
.header-nav {
  max-height: 70px;
  position: relative;
}

.enter-icon {
  width: 70px;
  height: 70px;
  cursor: pointer;
}

.nav {
  position: absolute;
  right: 7px;
  top: 54px;
  padding: 0;
  display: none;
  text-align: center;
  z-index: 1;
  background: linear-gradient(360deg, #FF6B00 20%, rgba(255, 46, 0, 0) 150%);
}

nav:hover .nav {
  display: block;
}

.nav li {
  width: 100%;
  padding: 10px 10px;
  list-style-type: none;
  background: linear-gradient(180deg, #f4a460 20%,  #FF6B00 150%);
}

.nav-item {
  border-bottom: 1px solid #ffffff;
}

.nav-item-link {
  text-decoration: none;
  font-size: 18px;
  color: #FFFFFF;
}

ul.nav {
  z-index: 1000;
}

/*---------------------Events---------------------*/

.content {
  max-width: 93%;
  margin: 0 auto;
}

.events-container {
  display: flex;
  justify-content: space-between;
}

.events {
  width: 75%;
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
  flex-wrap: wrap;
  margin: 0;
  transition: 0.5s;
}

/*Categories*/
.menu-icon {
  width: 50px;
  height: 40px;
  margin-top: 20px;
  display: none;
  cursor: pointer;
  background: url(../images/menu-icon.png) no-repeat;
}

.categories-container {
  position: relative;
  width: 20%;
}

.categories {
  position: absolute;
  width: 100%;
  padding: 20px;
  margin-top: 45px;
  border-radius: 25px;
  background: linear-gradient(173.54deg, #FF5C00 -25.62%, rgba(255, 92, 0, 0) 121.88%);
}

.categories a {
  font-size: 16px;
  text-decoration: underline;
  cursor: pointer;
}

.menu {
  margin: 0;
  padding: 0;
}

.menu-item {
  font-size: 12px;
}

.menu-item input {
  width: 13px;
  height: 13px;
  cursor: pointer;
}

.input-date, .input-tag {
  width: 70%;
  height: 35px;
  margin: 10px auto 0 auto;
  border-radius: 10px;
  color: black;
  font-size: 12px;
  background-color: #FBD4BE;
}

.input-date {
  text-align:center; 
}

.input-tag {
  background-image: url('../images/sharp.png');
  background-repeat: no-repeat;
  background-size: 10px;
  background-position: center left 10px;
  padding: 0 30px;
}

.isDropped {
  display: block;
}

.isHidden {
  display: none;
}

/*Event-card*/
.event-card {
  position: relative;
  height: 400px;
  flex-basis: 30%;
  margin-top: 45px;
  border-radius: 25px;
  background: linear-gradient(309.31deg, #FF5C00 -25.17%, rgba(255, 98, 0, 0.88681) -5.45%, rgba(255, 138, 0, 0) 100%);
}

.card-image-container {
  width: 100%;
  height: 150px;
  border-radius: 25px 25px 0 0;
  background-color: #2B2727;
  overflow: hidden;

}

.card-image-height {
  width: 50%;
  height: 100%;
  margin-left: 25%;
}
.card-image-width {
  width: 100%;
  height: 100%;
}

.card-text {
  padding-left: 20px;
  padding-right: 20px;
  font-style: italic;
  text-align: center;
}

.card-title {
  font-weight: bold;
  word-break: break-all;
  font-size: 18px;
  overflow: hidden;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 2;
  margin-top: 10px;
}

.card-info {
  overflow: hidden;
  word-break: break-all;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 6;
  font-size: 14px;
  margin-top: 10px;
}

.card-button {
  position: absolute;
  width: 70%;  
  left: 50%;
  margin-left:-35%;
  bottom: 30px;
  padding: 10px 0;
  background: linear-gradient(271.1deg, #FF7A00 27.13%, rgba(255, 90, 0, 0.57765) 79.32%, rgba(255, 46, 0, 0) 113.76%);
}

/*---------------------Footer---------------------*/
.footer {
  width: 100%;
  height: 150px;
  margin-top: 80px;
  background: linear-gradient(360deg, #2B2727 88.36%, #FB813D 100%);
}

.footer-text {
  height: 100%;
  width: 95%;
  margin: 0 auto;
  font-size: 16px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  color: #FFFFFF;
}

.email {
  width: 35%;
}

.email a{
  color: #FFFFFF;
}

/*---------------------Event Window---------------------*/
.modal-window {
  position: fixed;
  width: 40%;
  border-radius: 25px;
  overflow:hidden;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: 100;
  padding-bottom: 30px;
  background: linear-gradient(180deg,#FFA07A 50%, #FF5C00 138%); 
}

.close {
  position: absolute;
  right: 32px;
  top: 10px;
  width: 5px;
  height: 5px;
  opacity: 0.5;
  cursor: pointer;
}

.close:hover {
  opacity: 1;
}

.close:before, .close:after {
  position: absolute;
  left: 15px;
  content: ' ';
  height: 33px;
  width: 2px;
  background-color: orange;

}
.close:before {
  transform: rotate(45deg);
}

.close:after {
  transform: rotate(-45deg);
}

.window-content {
  display: flex;
  flex-direction: column;
}

.window-img {
  width: 100%;
  height: 300px;
  border-radius: 25px 25px 0 0;
}
.window-img-height {
  width: 50%;
  height: 300px;
  margin-left: 25%;
}
.window-img-container{
  background-color: #2B2727;
}

.window-scrolling-content {
  width: 110%;
  overflow: auto;
  max-height: 350px;
}

.window-text {
  width: 90%;
  font-size: 18px;
  padding: 0 30px;
}

.window-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-top: 25px;
}

.window-header-text {
  width: 60%;
}

.window-header-text span, .window-footer span {
  font-weight: bold;
}

.window-button {
  width: 40%;
  background: #FF5C00;
  padding: 20px;
  margin: 0;
  border-radius: 25px;
}

.window-body {
  margin-top: 30px;
  text-align: center;
  word-break: break-all;
}

.window-footer {
  margin-top: 30px;
  text-align: center;

}

.window-footer a {
  color: black;
  text-decoration: none;
  cursor: pointer;
}

.overlay {
  position:fixed;
  background:black;
  opacity: 0.5;
  width:100%;
  height:100%;
  z-index:50;
  top: 0;
  left: 0;
}

/*---------------------Authorization and registration---------------------*/
.background-image {
  position: fixed;
  width: 100%;
  height: 100%;
  top: 0;
  z-index: -1;
}

.input-password, .input-login, .input-username {
  width: 100%;
  height: 35px;
  padding-left: 40px;
  color: #787878;
  font-size: 18px;
  background: rgba(196, 196, 196, 0.24);
}

.input-password {
  margin-top: 30px;
  background-image: url(../images/password-icon.svg);
  background-size: 25px;
  background-repeat: no-repeat;
  background-position: center left 10px;
}

.input-login {
  background-image: url(../images/user-icon.svg);
  background-size: 20px;
  background-repeat: no-repeat;
  background-position: center left 10px;
}

.input-username {
  margin-top: 30px;
  background-image: url(../images/user-icon.svg);
  background-size: 20px;
  background-repeat: no-repeat;
  background-position: center left 10px;
}

.buttons {
  margin-top: 20px;
}

.password-recovery {
  margin-top: 15px;
  display: inline-block;
  color: orange;
}

.sign-in {
  padding: 12px 0;
  width: 100%;
  background: linear-gradient(271.1deg, #FF7A00 27.13%, rgba(255, 90, 0, 0.57765) 79.32%, rgba(255, 46, 0, 0) 113.76%);
}

.sign-up {
  width: 100%;
  margin-top: 20px;
  padding: 12px 0;
  background: linear-gradient(271.1deg, #FF7A00 27.13%, rgba(255, 90, 0, 0.57765) 79.32%, rgba(255, 46, 0, 0) 113.76%);
}

.calendar-container {
  width: 93%;
  margin: auto;
  padding-bottom: 50px;
}

/*---------------------Adaptability---------------------*/
@media(max-width: 1280px) {
  header {
    max-height: 60px;
  }
  .header-content {
    max-height: 60px;
  }
  .logo-btn {
    max-height: 50px;
  }
  .logo-img {
    width: 50px;
    height: 50px;
  }
  .header-nav {
    max-height: 60px;
  }
  .nav {
    top: 44px;
  }
  .enter-icon {
    width: 60px;
    height: 60px;
  }
  .modal-window {
    max-height: 600px;
    width: 35%;
  }
  .window-img {
    height: 250px;
  }
  .window-header, .window-body {
    margin-top: 15px;
    word-break: break-all;
  }
  .window-header-text p {
    margin-top: 3px;
  }
  .window-button {
    width: 35%;
    font-size: 16px;
  }
  .window-scrolling-content {
    max-height: 250px;
    word-break: break-all;
  }
  .window-text {
    font-size: 16px;
    width: 93%;
    word-break: break-all;
  }
}


@media(max-width: 1120px) {
  .input-date {
    font-size: 10px;
  }
  .input-tag {
    background-size: 8px;
  }
  .categories-container {
    width: 25%;
  }
  .events {
    width: 70%;
  }
  .event-card {
    flex-basis: 45%;
  }
  .modal-window {
    width: 45%;
  }
  .window-button {
    font-size: 12px;
  }
}

@media(max-width: 860px) {
  form {
    padding: 40px;
    margin-top: 70px;
  }
  .window-text {
    font-size: 14px;
  }
}

@media(max-width: 805px) {
  .menu-icon {
    display: block;
  }  
  .events-container {
    flex-direction: column;
  }
  .categories-container {
    position: absolute;
    width: 30%;
    left: 0;
    top: 80px;
    z-index: 100;
    transition: 0.5s;
    transform: translateX(-100%);
  }
  .categories {
    border-radius: 0 50px 50px 0;
    background: linear-gradient(180deg,#FFA07A 50%, #FF5C00 138%); 
  }
  .showCategories {
    transform: translateX(0%);
  }
  .content_active {
    transform: translateX(35%);
  }
  .events {
    width: 100%;
  }
  .event-card {
    flex-basis: 45%;
  }
  .modal-window {
    width: 60%;
  }
}

@media(max-width: 740px) {
  .modal-window {
    width: 60%;
  }
} 

@media(max-width: 640px) {
  .background-image {
    display: none;
  }
  .footer-text {
    font-size: 14px;
  }
  .modal-window {
    width: 65%;
  }
  .window-text {
    font-size: 12px;
  }
}

@media(max-width: 560px) {
  .logo-text {
    font-size: 30px;
  }
  .event-card {
    flex-basis: 70%;
    margin-left: auto;
    margin-right: auto;
  }
  .email {
    width: 50%;
  }
  .modal-window {
    width: 75%;
  }
}

@media(max-width: 482px) {
  .logo-btn {
    max-height: 38px;
  }
  .logo-img {
    width: 38px;
    height: 38px;
  }
  .logo-text {
    font-size: 24px;
    margin-left: 16px;
  }
  .header-nav {
    max-height: 50px;
  }
  .enter-icon {
    width: 50px;
    height: 50px;
  }
  .modal-window {
    width: 80%;
  }
}

@media(max-width: 420px) {
  form {
    width: 320px;
  }
  .form-registration input {
    font-size: 14px;
  }
  .input-password {
    margin-top: 20px;
  }
  .sign-in, .sign-up {
    padding: 6px;
  }
  .nav {
    top: 38px;
  }
  .categories-container {
    width: 40%;
  }
  .content_active {
    transform: translateX(45%);
  }
  .categories a {
    font-size: 14px;
  }
  .footer-text {
    display: flex;
    flex-direction: column;
    justify-content: center;
  }
  .email {
    text-align: center;
  }
  .window-img {
    height: 200px;
  }
  .window-button {
    font-size: 10px;
    padding: 15px;
  }
  .window-scrolling-content {
    max-height: 200px;
  }
}

@media(max-width: 360px) {
  form {
    width: 280px;
    padding: 30px 30px 20px 30px;
  }
  .logo-text {
    font-size: 20px;
  }
  .nav {
    top: 34.7px;
  }
  .event-card {
    flex-basis: 90%;
    height: 350px;
  }
  .card-button {
    bottom: 15px;
  }
  .modal-window {
    width: 85%;
  }
  .window-text {
    font-size: 11px;
  }
  .window-text {
    padding: 0 15px;
  }
  .window-button {
    font-size: 9px;
  }
}

@media(max-width: 300px) {
  .logo-btn {
    max-height: 30px;
  }
  .logo-img {
    width: 30px;
    height: 30px;
  }
  .logo-text {
    font-size: 16px;
  }
  .header-nav {
    max-height: 40px;
  }
  .enter-icon {
    width: 40px;
    height: 40px;
  }
  form {
    width: 250px;
    padding: 30px 30px 20px 30px;
  }
  .sign-up, .sign-in {
    padding: 8px 0;
  }
  .sign-up {
    font-size: 16px;
  }
  .form-registration input {
    font-size: 12px;
  }
  .input-password, .input-login {
    background-size: 16px;
  }
  .input-password {
    margin-top: 10px;
  }
  .password-recovery { 
    margin-top: 10px;
  }
  .nav {
    top: 24px;
  }
  .categories-container {
    width: 48%;
  }
  .content_active {
    transform: translateX(53%);
  }
  .footer-text {
    font-size: 12px;
  }
  .window-img {
    max-height: 180px;
  }
  .window-text {
    padding: 0 15px;
  }
  .window-scrolling-content {
    max-height: 180px;
  }
  .modal-window {
    width: 90%;
  }
}